Bug 20631 - C4::Acounts claims to use ReturnLostItem but doesn't
Summary: C4::Acounts claims to use ReturnLostItem but doesn't
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords: Academy
Depends on: 15896
Blocks: 21396
  Show dependency treegraph
 
Reported: 2018-04-21 11:16 UTC by Katrin Fischer
Modified: 2018-09-21 20:55 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20631: Remove unused RemoveLostItem from C4::Accounts (888 bytes, patch)
2018-08-08 22:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20631: Remove unused RemoveLostItem from C4::Accounts (946 bytes, patch)
2018-08-10 19:55 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 20631: Remove unused RemoveLostItem from C4::Accounts (946 bytes, patch)
2018-08-21 16:10 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-04-21 11:16:57 UTC
use C4::Circulation qw(ReturnLostItem);

When looking for ReturnLostItem I noticed it's listed in C4::Accounts, but appears not to be used there.
Comment 1 Jonathan Druart 2018-04-24 18:02:51 UTC
Call has been removed by
  commit ed9cf81c3aa8fd82f9347556364e9d2e6cef8a82
  Bug 15896 - Use Koha::Account::pay internally for makepayment
Comment 2 Katrin Fischer 2018-08-08 22:40:49 UTC
Created attachment 77603 [details] [review]
Bug 20631: Remove unused RemoveLostItem from C4::Accounts

RemoveLostItem was 'used' in C4::Accounts, but is not
actually used there.

Call has been removed by
  commit ed9cf81c3aa8fd82f9347556364e9d2e6cef8a82
  Bug 15896 - Use Koha::Account::pay internally for makepayment

To test:
- Verify that the routine was actually not used!
Comment 3 Maryse Simard 2018-08-10 19:55:42 UTC
Created attachment 77714 [details] [review]
Bug 20631: Remove unused RemoveLostItem from C4::Accounts

RemoveLostItem was 'used' in C4::Accounts, but is not
actually used there.

Call has been removed by
  commit ed9cf81c3aa8fd82f9347556364e9d2e6cef8a82
  Bug 15896 - Use Koha::Account::pay internally for makepayment

To test:
- Verify that the routine was actually not used!

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 4 Josef Moravec 2018-08-21 16:10:10 UTC
Created attachment 78048 [details] [review]
Bug 20631: Remove unused RemoveLostItem from C4::Accounts

RemoveLostItem was 'used' in C4::Accounts, but is not
actually used there.

Call has been removed by
  commit ed9cf81c3aa8fd82f9347556364e9d2e6cef8a82
  Bug 15896 - Use Koha::Account::pay internally for makepayment

To test:
- Verify that the routine was actually not used!

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 5 Nick Clemens 2018-08-22 15:01:28 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-08-24 11:47:11 UTC
Pushed to 18.05.x for 18.05.03
Comment 7 Fridolin SOMERS 2018-09-21 13:45:40 UTC
Pushed to 17.11.x for 17.11.10

It is Koha::Account that uses ReturnLostItem now.
This module is missing use C4::Circulation maybe ?
Comment 8 Jonathan Druart 2018-09-21 20:55:34 UTC
(In reply to Fridolin SOMERS from comment #7)
> Pushed to 17.11.x for 17.11.10
> 
> It is Koha::Account that uses ReturnLostItem now.
> This module is missing use C4::Circulation maybe ?

Yes, see bug 21396